
% Module for element mass matrix for reactive term
%
% Output: felem  ====== vector of two components
%
% felem(1), felem(2) to be computed in this routine.

clear xc
clear yc
clear bfelem

Radius = 0.1;
Thickness = 0.1;

for index1 = 1:topologybnd
	xc(index1) = x(elmatbnd(i,index1));
	yc(index1) = y(elmatbnd(i,index1));
end;

lek = sqrt((xc(2)-xc(1))^2+(yc(2)-yc(1))^2);

for index1 = 1:topologybnd
	for kind = 1:2
		if (yc(index1) == 8)
			K_B(kind) = 0*E;
			if (abs(xc(index1)-4) < 0.8)
				tau(kind) = tau_orig(kind);
			else
				tau(kind) = 0;
			end;
		else
			K_B(kind) = K_orig(kind);
		%%	tau(kind) = tau_orig(kind);
			tau(kind) = 0;
		end;
		if (xc(index1) == 0) | (xc(index1) == 8)
			tau(kind) = 0;
			K_B(kind) = K_orig(kind);
		end;
		bfelem(3*index1+kind-3) = -lek/2*(K_B(kind)*c_B(kind)-tau(kind));
	end;
	if (yc(index1) == 0) | ((yc(index1) == 8) & (abs(xc(index1)-4) < 0.8))
%	if ((yc(index1) == 1) & (abs(xc(index1)-0.5) < 0.2))
		K_B(3) = 0;
	else
		K_B(3) = K_orig(3);
	end;
	bfelem(3*index1) = -lek/2*K_B(3)*c_B(3)*dt;
end;
