
% Module for element mass matrix for reactive term
%
% Output: felem  ====== vector of two components
%
% felem(1), felem(2) to be computed in this routine.

clear xc
clear yc
clear felem

Radius = 0.1;
Thickness = 0.1;

for index1 = 1:topology
	xc(index1) = x(elmat(i,index1));
	yc(index1) = y(elmat(i,index1));
end;

Delta = xc(2)*yc(3)-xc(3)*yc(2)+xc(3)*yc(1)-xc(1)*yc(3)+xc(1)*yc(2)-xc(2)*yc(1);

b(1) = (yc(2)-yc(3)) / Delta;  
c(1) = (xc(3)-xc(2)) / Delta;

b(2) = (yc(3)-yc(1)) / Delta;  
c(2) = (xc(1)-xc(3)) / Delta;

b(3) = (yc(1)-yc(2)) / Delta;  
c(3) = (xc(2)-xc(1)) / Delta;

body(1) = 0;
body(2) = 0;

for index1 = 1:topology
	felem(3*index1) = abs(Delta)/6*body(3)*dt; % instead of one/zero, a function of xc and yc can be set in
end;
