
% Module for element mass matrix for reactive term
%
% Output: Mtimeelem  ====== 3 x 3 matrix
%
% BMelem(1,1), BMelem(1,2), BMelem(2,1), BMelem(2.2) to be computed in this routine.
%
% elmatbnd(i,1), elmatbnd(i,2) give the index numbers of the vertices of boundary element i
%
% x(elmatbnd(i,j)), y(elmatbnd(i,j)) give the coordinates of the vertices
%
% i = index number of element, imported from AssemblyStepBoundaryMassMatrix.m
%
% BMelem(index1,index2) = (phi(elmatbnd(i,index1)),phi(elmatbnd(i,index2))
%

clear xc
clear yc
clear BMelem

for index1=1:topologybnd
	xc(index1) = x(elmatbnd(i,index1));
	yc(index1) = y(elmatbnd(i,index1));
end;

lek = sqrt((xc(2)-xc(1))^2 + (yc(2)-yc(1))^2);

for index1=1:topologybnd
	if (yc(index1) == 0) | ((yc(index1) == 8) & (abs(xc(index1)-4) < 0.8))
%	if ((yc(index1) == 1) & (abs(xc(index1)-0.5) < 0.2))
		K_B(3) = 0;
	else
		K_B(3) = K_orig(3);
	end;
	BMelem(3*index1,3*index1) = -K_B(3)*lek/2*(0); % adjust for stabiliser
end;
