
% Matlab code for Finite Elements Solution of 

% du/dt + v grad u = D div grad u + f(x) - lambda u
%
% u(x,0) = u_0(x)
%
% D dc/dn = K_L (c - c_L) at boundary
%
% S is for the diffusion term
%
% M is the mass matrix for the reaction term
%
% Mtime is the mass matrix for the time derivative
%
% C is for the convection term
%
%
% To be done:  	see FEM2.m
%
% This routine FredComp is the computational step.

Assemble;

if TimeDependence == 1
%	Tend 	= 0.5;
	niter	= 5;
%	dt 	= Tend/niter;

	SolveTimeDependentProblem;
end;

if ConditionAnalysis == 1
	[L,U] = luinc(RHSMat,'0');
	conditie = cond(full(inv(L*U)*RHSMat))
end;
