% Matlab code for Finite Elements Solution of 

% du/dt + v grad u = D div grad u + f(x) - lambda u
%
% u(x,0) = u_0(x)
%
% D dc/dn = K_L (c - c_L) at boundary
%
% S is for the diffusion term
%
% M is the mass matrix for the reaction term
%
% Mtime is the mass matrix for the time derivative
%
% C is for the convection term
%
%
% To be done:  	see FEM2.m
%
% This routine FredMesh is the mesh generation step.
%
% This routine generates the mesh for the plane stress problem.

clear all
close all

TimeDependence	= 1;

nx		= 40; % Number of gridnodes in x-direction
ny 		= 40; % Number of gridnodes in y-direction

n 		= nx * ny; % Total number of gridnodes

S 		= sparse(3*n,3*n);

Sp 		= sparse(n,n);

f 		= zeros(3*n,1);

fp 		= zeros(n,1);

u 		= zeros(3*n,1);

p 		= zeros(n,1);

S_R		= S;

M 		= S;

M_R	        = S;

Mp 		= Sp;

Mptime		= Sp;

topology	= 3; % linear triangles
topologybnd	= 2;

GenerateTopology;
GenerateMesh;
InputParameters;

if Meshplot == 1
	PlotMesh; % plot of mesh
end;
