
% Matlab code for Finite Elements Solution of 

% du/dt + v grad u = D div grad u + f(x) - lambda u
%
% u(x,0) = u_0(x)
%
% D dc/dn = K_L (c - c_L) at boundary
%
% S is for the diffusion term
%
% M is the mass matrix for the reaction term
%
% Mtime is the mass matrix for the time derivative
%
% C is for the convection term
%
%
% To be done:  	see FEM2.m
%
% This routine FredPost is the postprocessing step.
%

for i = 1:n
	U(i) = u(3*i-2);
	V(i) = u(3*i-1);
	P(i) = u(3*i);
end;

for i = 1:nx
	for j = 1:ny
		uu(i,j) = U((j-1)*nx+i);
		vv(i,j) = V((j-1)*nx+i);
		pp(i,j) = P((j-1)*nx+i);
	end;
end;


for i = 1:nx
	xcoord(i) = x(i);
end;
for i = 1:ny
	ycoord(i) = y(nx+(i-1)*nx);
end;


figure;
subplot(2,2,1)
surf(xcoord,ycoord,uu,'FaceColor','interp')
view(2)
title('u-displacement')
xlabel('x-position')
ylabel('y-position')
colorbar

subplot(2,2,2)
surf(xcoord,ycoord,vv,'FaceColor','interp')
view(2)
title('v-displacement')
xlabel('x-position')
ylabel('y-position')
colorbar

subplot(2,2,3)
surf(xcoord,ycoord,pp,'FaceColor','interp')
view(2)
title('pressure')
xlabel('x-position')
ylabel('y-position')
colorbar

subplot(2,2,4)
surf(xcoord,ycoord,pp,'FaceColor','interp')
title('pressure')
xlabel('x-position')
ylabel('y-position')
zlabel('pressure')
colorbar

return
if Displacementplot == 1
	for i = 1:n
		xnew(i) = x(i) + U(i);
		ynew(i) = y(i) + V(i);
	end;
	PlotDeformedMesh;
end;
